Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 663016 (CVE-2018-13405) - kernel: Missing check in fs/inode.c:inode_init_owner() does not clear SGID bit on non-directories for non-members (CVE-2018-13405)
Summary: kernel: Missing check in fs/inode.c:inode_init_owner() does not clear SGID bi...
Status: RESOLVED FIXED
Alias: CVE-2018-13405
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal critical (vote)
Assignee: Gentoo Kernel Security
URL: http://seclists.org/oss-sec/2018/q3/35
Whiteboard: A1 [noglsa cve]
Keywords:
Depends on: 663744
Blocks: CVE-2018-5390
  Show dependency tree
 
Reported: 2018-08-07 11:35 UTC by GLSAMaker/CVETool Bot
Modified: 2019-08-17 15:47 UTC (History)
1 user (show)

See Also:
Package list:
sys-kernel/gentoo-sources-4.14.61 sys-kernel/gentoo-sources-4.9.118 sys-kernel/gentoo-sources-4.4.146
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2018-08-07 11:35:58 UTC
CVE-2018-13405 (https://nvd.nist.gov/vuln/detail/CVE-2018-13405):
  The inode_init_owner function in fs/inode.c in the Linux kernel through
  4.17.4 allows local users to create files with an unintended group
  ownership, in a scenario where a directory is SGID to a certain group and is
  writable by a user who is not a member of that group. Here, the non-member
  can trigger creation of a plain file whose group ownership is that group.
  The intended behavior was that the non-member can trigger creation of a
  directory (but not a plain file) whose group ownership is that group. The
  non-member can escalate privileges by making the plain file executable and
  SGID.
Comment 2 Thomas Deutschmann gentoo-dev Security 2018-08-07 13:21:37 UTC
Fixes available in:

4.17: >=sys-kernel/gentoo-sources-4.17.7
4.14: >=sys-kernel/gentoo-sources-4.14.56
4.9:  >=sys-kernel/gentoo-sources-4.9.113
4.4:  >=sys-kernel/gentoo-sources-4.4.141
Comment 3 Thomas Deutschmann gentoo-dev Security 2018-08-07 22:44:12 UTC
x86 stable
Comment 4 Thomas Deutschmann gentoo-dev Security 2018-08-07 22:50:38 UTC
amd64 stable
Comment 5 Thomas Deutschmann gentoo-dev Security 2018-08-16 00:36:06 UTC
Superseded by bug 663744, moving.